CREATE TABLE hwm_tm_rec_event_reqs (
    TM_REC_EVENT_REQ_ID      NUMBER(18, 0),
    PROCESS_INLINE           VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    PROCESS_MODE             VARCHAR2(80) ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    TM_REC_EVENT_REQ_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    PROCESS_MODE             VARCHAR2(80) ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    PROCESS_INLINE           VARCHAR2(120),
    CONSTRAINT pk_hwm_tm_rec_event_reqs PRIMARY KEY (TM_REC_EVENT_REQ_ID, TM_REC_EVENT_REQ_ID)
);
